### Method

# Clutter LayoutManager get_child_meta

#### Declaration [src]

    ClutterLayoutMeta*
    clutter_layout_manager_get_child_meta (
      ClutterLayoutManager* manager,
      ClutterActor* container,
      ClutterActor* actor
    )

#### Description [src]

Retrieves the `ClutterLayoutMeta` that the layout `manager` associated to the `actor` child of `container`, eventually by creating one if the `ClutterLayoutManager` supports layout properties.

#### Parameters

`container`

  Type: `ClutterActor`

  A `ClutterActor` using `manager`.

  The data is owned by the caller of the method.

`actor`

  Type: `ClutterActor`

  A `ClutterActor` child of `container`.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterLayoutMeta`

A `ClutterLayoutMeta`, or `NULL` if the `ClutterLayoutManager` does not have layout properties. The returned layout meta instance is owned by the `ClutterLayoutManager` and it should not be unreferenced.

The returned data is owned by the instance.